org.apache.ode.dao.jpa

## Class CorrSetProperty

- java.lang.Object
- - org.apache.ode.dao.jpa.CorrSetProperty

-     @Entity
      public class CorrSetProperty
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DELETE_CORSET_PROPERTIES_BY_PROPERTY_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrSetProperty()`
    `CorrSetProperty(java.lang.String propertyKey, java.lang.String propertyValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CorrelationSetDAOImpl` | `getCorrSet()`
    `java.lang.String` | `getPropertyKey()`
    `java.lang.String` | `getPropertyValue()`
    `void` | `setCorrSet(CorrelationSetDAOImpl corrSet)`
    `void` | `setPropertyKey(java.lang.String propertyKey)`
    `void` | `setPropertyValue(java.lang.String propertyValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETE_CORSET_PROPERTIES_BY_PROPERTY_IDS

          public static final java.lang.String DELETE_CORSET_PROPERTIES_BY_PROPERTY_IDS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CorrSetProperty

          public CorrSetProperty()

    - #### CorrSetProperty

          public CorrSetProperty(java.lang.String propertyKey,
                                 java.lang.String propertyValue)

  - ### Method Detail

    - #### getPropertyKey

          public java.lang.String getPropertyKey()

    - #### setPropertyKey

          public void setPropertyKey(java.lang.String propertyKey)

    - #### getPropertyValue

          public java.lang.String getPropertyValue()

    - #### setPropertyValue

          public void setPropertyValue(java.lang.String propertyValue)

    - #### getCorrSet

          public CorrelationSetDAOImpl getCorrSet()

    - #### setCorrSet

          public void setCorrSet(CorrelationSetDAOImpl corrSet)